Subject: Re: [Acme] Fix signing order for key-change endpoint.

From: Jacob Hoffman-Andrews <[email-masked]>
Date: Wed, 26 Oct 2016 11:43:29 -0700

I missed a couple spots of oldKey with the earlier PR. Followup PR:
https://github.com/ietf-wg-acme/acme/pull/199.

On 09/21/2016 03:21 PM, Jacob Hoffman-Andrews wrote:
> Thanks! Any other comments? I'd like to merge this and get to implementing.
>
> On 09/20/2016 12:38 PM, Daniel McCarney wrote:
>> The simplified verification reads much clearer to me and I think better
>> matches the intention of the rollover operation, and which key is
>> performing the authorization. +1
>>
>> On Wed, Sep 14, 2016 at 8:56 PM, Jacob Hoffman-Andrews <[email-masked]
>> <mailto:[email-masked]>> wrote:
>>
>>     https://github.com/ietf-wg-acme/acme/pull/189
>>     <https://github.com/ietf-wg-acme/acme/pull/189>
>>
>>     Signing with the current account key allows servers to use the same
>>     message
>>     transport authentication that they use for other requests,
>>     simplifying the
>>     verification.
>>
>>     Also fix two spots where we still described newKey/oldKey as
>>     thumbprints.
>>
>>     _______________________________________________
>>     Acme mailing list
>>     [email-masked] <mailto:[email-masked]>
>>     https://www.ietf.org/mailman/listinfo/acme
>>     <https://www.ietf.org/mailman/listinfo/acme>
>>
>>
>>
>>
>> _______________________________________________
>> Acme mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/acme
>>
> _______________________________________________
> Acme mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/acme
>